#!/usr/bin/python
# -*- coding: utf-8 -*-
# -----------------------------------------------------------------------
#    This file is part of WAPT
#    Copyright (C) 2013  Tranquil IT Systems http://www.tranquil.it
#    WAPT aims to help Windows systems administrators to deploy
#    setup and update applications on users PC.
#
#    WAPT is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    WAPT is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with WAPT.  If not, see <http://www.gnu.org/licenses/>.
#
# -----------------------------------------------------------------------
import platform
from setuphelpers import *

uninstallkey=[]

def install():

    prefixpkg = control.package.split('-',1)[0]
    reader = WAPT.is_installed('%s-libreoffice'% prefixpkg)
    if reader :
        WAPT.forget_packages(reader.package)

    softname = 'LibreOffice'
    check_installed_soft = installed_softwares(softname)
    if check_installed_soft:
             for uninstall in check_installed_soft:
                key=uninstall['key']
                if installed_softwares(uninstallkey=key):
                         cmd = WAPT.uninstall_cmd(uninstall['key'])
                         run(cmd)

    softname = 'Openoffice'
    check_installed_soft = installed_softwares(softname)
    if check_installed_soft:
             for uninstall in check_installed_soft:
                key=uninstall['key']
                if installed_softwares(uninstallkey=key):
                         cmd = WAPT.uninstall_cmd(uninstall['key'])
                         run(cmd)

    reader = WAPT.is_installed('%s-libreoffice-still'% prefixpkg)
    if reader :
        WAPT.forget_packages(reader.package)
    WAPT.install('%s-libreoffice-still'% prefixpkg)

